<?php

namespace App\Controller;

use App\Service\SpotifyApiService;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class NowPlayingController extends AbstractController
{
    /** @var SpotifyWebAPI */
    private $spotifyApi;

    public function __construct(SpotifyApiService $spotifyApiService)
    {
        $this->spotifyApi = $spotifyApiService->createApi();
    }

    /**
     * @Route("/now-playing", name="now-playing")
     *
     * @return Response
     */
    public function index(): Response
    {
        return $this->render('now-playing/index.html.twig', [
            'user' => $this->spotifyApi->me()
        ]);
    }

    /**
     * @Route("/now-playing/data", name="now-playing-data")
     *
     * @return JsonResponse
     */
    public function update(): JsonResponse
    {
        $nowPlaying = $this->spotifyApi->getMyCurrentTrack();

        return new JsonResponse([
            'playing' => $nowPlaying,
        ]);
    }
}
